Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.parameters
Class ConfigParameterTestCase

    java.lang.Object
      org.picocontainer.parameters.ConfigParameterTestCase

    public class ConfigParameterTestCase

extends Object

test that config parameter does the right job

Author:
  k.pribluda

Nested Class Summary
`static class` | `ConfigParameterTestCase.ExternallyConfiguredComponent` test component to show automatic conversion

Constructor Summary
`ConfigParameterTestCase()`

Method Summary
`void` | `testComponentInstantiation()`
`void` | `testComponentInstantiationViaParamNameAssociations()`
`void` | `testThatNoEntryIsWorkingProperly()`
`void` | `testThatNotStringEntryIsNotResolved()`
`void` | `testThatResolvedSuccessfully()` shall resolve as ddifferent classes
`void` | `testThatUnavailableConverterProducesCorrectException()` shall bomb properly if no suitable converter found

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigParameterTestCase

    public ConfigParameterTestCase()

Method Detail

### testThatNoEntryIsWorkingProperly

    public void testThatNoEntryIsWorkingProperly()
                                          throws Exception

  Throws:
    `Exception`

### testThatNotStringEntryIsNotResolved

    public void testThatNotStringEntryIsNotResolved()
                                             throws Exception

  Throws:
    `Exception`

### testThatResolvedSuccessfully

    public void testThatResolvedSuccessfully()
                                      throws Exception

  shall resolve as ddifferent classes

  Throws:
    `Exception`

### testThatUnavailableConverterProducesCorrectException

    public void testThatUnavailableConverterProducesCorrectException()

  shall bomb properly if no suitable converter found

### testComponentInstantiation

    public void testComponentInstantiation()

### testComponentInstantiationViaParamNameAssociations

    public void testComponentInstantiationViaParamNameAssociations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.